Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class Feature

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.M4Object
          edu.udo.cs.miningmart.m4.core.M4Data
              edu.udo.cs.miningmart.m4.core.GraphicalM4Object
                  edu.udo.cs.miningmart.m4.core.ParameterObject
                      edu.udo.cs.miningmart.m4.core.Feature

All Implemented Interfaces:
  Feature, GraphicalM4Object, M4Data, M4Object, ParameterObject, M4Table, XmlInfo, java.io.Serializable, java.lang.Comparable

Direct Known Subclasses:
  BaseAttribute, MultiColumnFeature

    public abstract class Feature

extends ParameterObject
implements Feature

Just an abstraction of MultiColumnFeature and BaseAttribute. Has no correspondance in the M4-DB and therefore no fields. On construction it just passes to its superclass.

Version:
  $Id: Feature.java,v 1.4 2006/09/27 15:00:00 euler Exp $
Author:
  Timm Euler
See Also:
  `MultiColumnFeature`, `BaseAttribute`, Serialized Form

Field Summary

Fields inherited from class edu.udo.cs.miningmart.m4.core.GraphicalM4Object
`graph2coord`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`myDocumentation`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`myId, myName`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`M4_XML_VERSION, TAG_COLLECTION, TAG_DOUBLE, TAG_INTEGER, TAG_LONG, TAG_M4_ID, TAG_SHORT, TAG_STRING, TAG_XML_ID`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`NOT_NULL`

Constructor Summary
`Feature(DB m4Db)`

Method Summary
`boolean` | `correspondsTo(Feature f)` This method indicates if an input feature corresponds to an output feature, or if two input features correspond, e.g.
`Concept` | `getConcept()`
`protected java.util.Collection` | `getObjectsInNamespace(java.lang.Class typeOfObjects)` This method returns the objects of the specified type that form a namespace in the scope of this M4Data object.
`Parameter` | `getParameterWhereThisIsOutputFeature()` Return the Parameter object that represents this Feature as an output parameter (of a certain step).
`protected boolean` | `hasCoordinates()` `Feature`s have no coordinates.
`abstract boolean` | `isDeselected()`
`void` | `primitiveSetConcept(Concept c)` Primitive setter, do not use.
`void` | `setConcept(Concept c)` Set the concept this Feature belongs to.

Methods inherited from class edu.udo.cs.miningmart.m4.core.ParameterObject
`addParameterReference, getDependentObjects, getParameterReferences, removeAllM4References, removeParameterReference`

Methods inherited from class edu.udo.cs.miningmart.m4.core.GraphicalM4Object
`deleteLocal, deleteSoon, getCoordinates, getPoint, primitiveSetCoordinates, print, setCoordinatesDirty, setName, setPoint, storeLocal`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`exportLocal, genericGetter, genericSetter, getDocumentation, getObjectsReferencingMe, getObjectsReferencingMe, getObjectTag, getUniqueName, getValidName, getValidName, getXmlIdTag, getXmlVersion, hasDeleteStatus, importLocal, isDirty, isWaitingForDelete, primitiveGetDocObject, primitiveSetDocObject, readFromDb, readFromDbLocal, removeDocObject, removeFromDb, removeSetFromDb, setDirty, setDocumentation, setId, updateObjectsFromTable`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`compareTo, doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setNotNew`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.udo.cs.miningmart.m4.Feature
`copy, isRelationallyValid, removeLinkToColumns`

Methods inherited from interface edu.udo.cs.miningmart.m4.ParameterObject
`addParameterReference, getParameterReferences, removeParameterReference`

Methods inherited from interface edu.udo.cs.miningmart.m4.GraphicalM4Object
`getPoint, setPoint`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`doPrint, doPrint, exportLocal, genericGetter, genericSetter, getObjectTag, getXmlIdTag, getXmlInfo, getXmlVersion, importLocal`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`getIdAttributeName, getM4Info, getM4TableName`

Constructor Detail

### Feature

    public Feature(DB m4Db)

See Also:
  `edu.udo.cs.miningmart.m4.core.M4Object#Constructor`

Method Detail

### correspondsTo

    public boolean correspondsTo(Feature f)

  This method indicates if an input feature corresponds to an output feature, or if two input features correspond, e.g. for UNION operations. Additionally to comparing names the types (BaseAttribute or MultiColumnFeature) have to be equal.

  Specified by:
    `correspondsTo` in interface `Feature`
  Parameters:
    `f` - the feature to compare this one to
  Returns:
    iff the features are corresponding.

### hasCoordinates

    protected boolean hasCoordinates()

  `Feature`s have no coordinates.

  Specified by:
    `hasCoordinates` in class `GraphicalM4Object`

### getConcept

    public Concept getConcept()
                       throws M4Exception

  Specified by:
    `getConcept` in interface `Feature`
  Returns:
    The concept that belongs to this BaseAttribute.
  Throws:
    `M4Exception`

### setConcept

    public void setConcept(Concept c)
                    throws M4Exception

  Set the concept this Feature belongs to.

  Specified by:
    `setConcept` in interface `Feature`
  Parameters:
    `c` - the `Concept`
  Throws:
    `M4Exception`

### getObjectsInNamespace

    protected java.util.Collection getObjectsInNamespace(java.lang.Class typeOfObjects)
                                                  throws M4Exception

  Description copied from class: `M4Data`
  This method returns the objects of the specified type that form a namespace in the scope of this M4Data object. For example, a Concept's namespace for the type BaseAttribute is the Collection of all BaseAttributes for this Concept. Many M4Data objects never have a namespace, they return `null`. If a namespace could exist but doesn't, an empty Collection is returned.

  Specified by:
    `getObjectsInNamespace` in class `M4Data`
  Parameters:
    `typeOfObjects` - the type of objects that form the namespace
  Returns:
    a Collection of objects of type `typeOfObjects`, or `null`.
  Throws:
    `M4Exception`
  See Also:
    `M4Data.getObjectsInNamespace(Class)`

### primitiveSetConcept

    public void primitiveSetConcept(Concept c)

  Primitive setter, do not use.

  Parameters:
    `c` - the `Concept` to be set

### getParameterWhereThisIsOutputFeature

    public Parameter getParameterWhereThisIsOutputFeature()
                                                   throws M4Exception

  Return the Parameter object that represents this Feature as an output parameter (of a certain step).

  Specified by:
    `getParameterWhereThisIsOutputFeature` in interface `Feature`
  Returns:
    a Parameter object
  Throws:
    `M4Exception`

### isDeselected

    public abstract boolean isDeselected()
                                  throws M4CompilerError

  Specified by:
    `isDeselected` in interface `Feature`
  Returns:
    `true` iff this `Feature` has been "deselected" by a `FeatureSelection` operator or has not been connected by the user.
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005